# List KYC forms

Get a list of the required KYC forms you need to submit to meet a specific country requirements.

## GET /kyc-forms

> List KYC forms

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Manage the know-your-customer process.","name":"kyc"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"limit":{"name":"limit","description":"Limits the number of results to return","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":10}},"direction":{"name":"reverse","description":"Order in which to retrieve the results","in":"query","schema":{"type":"boolean","default":false}},"cursor":{"name":"pageToken","description":"Pagination token that keeps of track of the current position in the list","in":"query","schema":{"type":"string"}}},"schemas":{"scope":{"type":"string","enum":["number","organization","channel"]},"responseBody":{"type":"object","title":"PaginatedList","description":"A list of results that supports pagination.","properties":{"nextPageToken":{"type":"string","description":"The token to fetch the next page of results. If empty, there are no more results to fetch."}}},"FormList":{"type":"array","title":"KycFormList","items":{"$ref":"#/components/schemas/Form"}},"Form":{"type":"object","title":"KycForm","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"scope":{"$ref":"#/components/schemas/scope"},"countryCode":{"$ref":"#/components/schemas/countryCode"},"conditions":{"$ref":"#/components/schemas/conditions"},"status":{"$ref":"#/components/schemas/status-2"},"defaultLocale":{"$ref":"#/components/schemas/locale"},"questions":{"$ref":"#/components/schemas/questions"},"gracePeriodDays":{"type":"integer","format":"int64","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","name","scope","status","defaultLocale","questions","createdAt","updatedAt"]},"countryCode":{"type":"string","format":"iso3166-1"},"conditions":{"type":"object","additionalProperties":{"type":"string"}},"status-2":{"type":"string","enum":["draft","active","deactivated"]},"locale":{"type":"string","format":"locale-bcp47"},"questions":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["locale","questions"],"properties":{"locale":{"type":"string","format":"locale-bcp47"},"questions":{"type":"array","items":{"$ref":"#/components/schemas/question"}}}}},"question":{"oneOf":[{"$ref":"#/components/schemas/generic"},{"$ref":"#/components/schemas/string"},{"$ref":"#/components/schemas/int"}],"discriminator":{"propertyName":"type","mapping":{"string":"#/components/schemas/string","stringArray":"#/components/schemas/string","bool":"#/components/schemas/generic","boolArray":"#/components/schemas/generic","float":"#/components/schemas/generic","floatArray":"#/components/schemas/generic","int":"#/components/schemas/int","intArray":"#/components/schemas/generic"}}},"generic":{"type":"object","additionalProperties":false,"required":["type","key","displayName","format"],"properties":{"type":{"type":"string","enum":["bool","boolArray","intArray","float","floatArray"]},"key":{"type":"string"},"description":{"type":"string"},"placeholder":{"type":"string"},"displayName":{"type":"string"},"required":{"type":"boolean"},"mapping":{"description":"Map the answer to a contact attribute. If not set, the answer will not be mapped.","type":"string"},"format":{"type":"string","enum":["none"]},"conditions":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"options":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"timezone":{"format":"timezone","nullable":true,"type":"string"}}},"string":{"type":"object","required":["type","key","displayName","format","ui:type"],"properties":{"type":{"type":"string","enum":["string","stringArray"]},"ui:type":{"type":"string","description":"hint the UI what form to show if `type` isn't sufficient","enum":["shortText","longText","dropdown","radio","checkboxSelect"]},"key":{"type":"string"},"description":{"type":"string"},"placeholder":{"type":"string"},"displayName":{"type":"string"},"required":{"type":"boolean"},"mapping":{"description":"Map the answer to a contact attribute. If not set, the answer will not be mapped.","type":"string"},"format":{"type":"string","enum":["none","email","msisdn","url","datetime","emoji","enum","countryCode","s3object","custom"]},"conditions":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"options":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"timezone":{"format":"timezone","nullable":true,"type":"string"},"formQuestionConfig":{"type":"object","discriminator":{"propertyName":"type","mapping":{"stringMsisdn":"#/components/schemas/stringMsisdnConfig","stringDatetime":"#/components/schemas/stringDatetimeConfig","stringEmoji":"#/components/schemas/stringEmojiConfig","stringEnum":"#/components/schemas/stringEnumConfig","stringS3Object":"#/components/schemas/stringS3ObjectConfig","stringCustom":"#/components/schemas/stringCustomConfig"}},"oneOf":[{"$ref":"#/components/schemas/stringDatetimeConfig"},{"$ref":"#/components/schemas/stringMsisdnConfig"},{"$ref":"#/components/schemas/stringEmojiConfig"},{"$ref":"#/components/schemas/stringEnumConfig"},{"$ref":"#/components/schemas/stringS3ObjectConfig"},{"$ref":"#/components/schemas/stringCustomConfig"}]}}},"stringDatetimeConfig":{"properties":{"type":{"type":"string","enum":["stringDatetime"]},"stringDatetimeConfig":{"type":"object","required":["datetimeRange"],"additionalProperties":false,"properties":{"datetimeRange":{"type":"object","additionalProperties":false,"properties":{"type":{"type":"string","enum":["any","future","past"]}}},"timeFormat":{"type":"string","enum":["am-pm","24h"]},"includeTime":{"type":"boolean"},"localeOverride":{"type":"string","format":"locale-bcp47"},"defaultTimezone":{"type":"string","format":"timezone"},"allowTimezoneSelectionByUser":{"type":"boolean"},"timePlaceholder":{"type":"string"}}}}},"stringMsisdnConfig":{"properties":{"type":{"type":"string","enum":["stringMsisdn"]},"stringMsisdnConfig":{"type":"object","required":["defaultCountryCode"],"additionalProperties":false,"properties":{"defaultCountryCode":{"type":"string","format":"iso3166-1"}}}}},"stringEmojiConfig":{"properties":{"type":{"type":"string","enum":["stringEmoji"]},"stringEmojiConfig":{"type":"object","required":["options"],"additionalProperties":false,"properties":{"options":{"type":"array","items":{"type":"object","required":["emoji","text"],"properties":{"emoji":{"type":"string"},"text":{"type":"string"}}}}}}}},"stringEnumConfig":{"properties":{"type":{"type":"string","enum":["stringEnum"]},"stringEnumConfig":{"type":"object","required":["allowedValues"],"additionalProperties":false,"properties":{"withImages":{"type":"boolean"},"showLabels":{"type":"boolean"},"singleSelect":{"type":"boolean"},"columns":{"type":"integer","maximum":8},"cornerRadius":{"type":"string","enum":["none","normal","full"]},"optionSize":{"type":"string","enum":["small","medium","large"]},"allowedValues":{"type":"array","items":{"type":"object","required":["displayName","value"],"properties":{"displayName":{"type":"string"},"value":{"type":"string"},"imageUrl":{"type":"string"}}}}}}}},"stringS3ObjectConfig":{"properties":{"type":{"type":"string","enum":["stringS3Object"]},"stringS3ObjectConfig":{"type":"object","additionalProperties":false,"properties":{"allowedMimeType":{"type":"string","description":"Allowed type to upload. Supports wildcards."},"maxFileSize":{"type":"integer","format":"int32"}},"required":["allowedMimeType","maxFileSize"]}}},"stringCustomConfig":{"properties":{"type":{"type":"string","enum":["stringCustom"]},"stringCustomConfig":{"type":"object","additionalProperties":false,"properties":{"regexp":{"type":"string","description":"Regular expression to validate the input against."},"title":{"type":"string","description":"Validation title."},"message":{"type":"string","description":"Validation message to show when validation fails."}},"required":["regexp","title"]}}},"int":{"type":"object","required":["type","key","displayName","format"],"properties":{"type":{"type":"string","enum":["int"]},"key":{"type":"string"},"description":{"type":"string"},"placeholder":{"type":"string"},"displayName":{"type":"string"},"required":{"type":"boolean"},"mapping":{"description":"Map the answer to a contact attribute. If not set, the answer will not be mapped.","type":"string"},"format":{"type":"string","enum":["none","rating"]},"conditions":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"options":{"type":"array","nullable":true,"items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"timezone":{"format":"timezone","nullable":true,"type":"string"},"formQuestionConfig":{"type":"object","discriminator":{"propertyName":"type","mapping":{"intRating":"#/components/schemas/intRatingConfig"}},"oneOf":[{"$ref":"#/components/schemas/intRatingConfig"}]}}},"intRatingConfig":{"properties":{"type":{"type":"string","enum":["intRating"]},"intRatingConfig":{"type":"object","required":["ratingMax"],"additionalProperties":false,"properties":{"ratingMax":{"type":"number","default":5}}}}}}},"paths":{"/kyc-forms":{"get":{"operationId":"listKycForms","parameters":[{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/direction"},{"$ref":"#/components/parameters/cursor"},{"description":"Filter KYC forms by target country.","in":"query","name":"countryCode","required":false,"schema":{"format":"iso3166-1","type":"string"}},{"description":"Filter KYC forms by scope.","in":"query","name":"scope","schema":{"$ref":"#/components/schemas/scope"}}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/responseBody"},{"properties":{"results":{"$ref":"#/components/schemas/FormList"}},"required":["results"],"type":"object"}]}}},"description":"OK"}},"summary":"List KYC forms","tags":["kyc"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/know-your-customer-kyc-api/list-kyc-forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
